from events.types.payload import Payload


class ChildRoutineConfirmation(Payload):
    OPERATION_PENDING = "PENDING"
    OPERATION_APPROVED = "APPROVED"
    OPERATION_REJECTED = "REJECTED"
    OPERATION_RESET = "RESET"

    def __init__(self, child_id: str, routine_id: str, operation: str):
        super().__init__({
            'child_id': child_id,
            'routine_id': routine_id,
            'operation': operation
        })
